Apache C++ Standard Library Reference Guide

## <limits>

Library: Language support

    Header

- Local Index
- Summary
- Synopsis
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

The header `<limits>` is part of the Language support library of the C++ Standard Library. It provides a C++ program with information about various properties of the implementation's representation of the fundamental types. The header defines the class template numeric_limits and specializations of the template on all fundamental arithmetic types.

### Synopsis

    namespace std {
      template<class T> class numeric_limits;
      enum float_round_style;
      enum float_denorm_style;

      template<> class numeric_limits<bool>;

      template<> class numeric_limits<char>;
      template<> class numeric_limits<signed char>;
      template<> class numeric_limits<unsigned char>;
      template<> class numeric_limits<wchar_t>;

      template<> class numeric_limits<short>;
      template<> class numeric_limits<int>;
      template<> class numeric_limits<long>;
      template<> class numeric_limits<unsigned short>;
      template<> class numeric_limits<unsigned int>;
      template<> class numeric_limits<unsigned long>;

      template<> class numeric_limits<float>;
      template<> class numeric_limits<double>;
      template<> class numeric_limits<long double>;
    }

### See Also

numeric_limits

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems --Programming Language C++, Section 18.2.1